# $Revision: 1.40 $, $Date: 2009/04/05 20:53:50 $
Summary:	GNOME Partition Editor
Summary(pl.UTF-8):	Edytor partycji dla GNOME
Name:		gparted
Version:	0.4.4
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/gparted/%{name}-%{version}.tar.bz2
# Source0-md5:	1fec16c61c76770d2fddd834f0d37997
Patch0:		%{name}-desktop.patch
URL:		http://gparted.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gtkmm-devel >= 2.10.0
BuildRequires:	intltool >= 0.36.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	parted-devel >= 1.7.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
Requires:	hal >= 0.5.10
Requires:	parted >= 1.7.1
Suggests:	dosfstools
Suggests:	e2fsprogs
Suggests:	hfsutils
Suggests:	jfsutils
Suggests:	mtools
Suggests:	ntfsprogs
Suggests:	reiser4progs
Suggests:	reiserfsprogs
Suggests:	xfsprogs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GParted stands for GNOME Partition Editor and is a graphical frontend
to parted. Among other features it supports creating, resizing, moving
and copying of partitions.

%description -l pl.UTF-8
GParted jest graficzną nakładką na parted. Program umożliwia między
innymi tworzenie, zmianę rozmiaru, przenoszenie i kopiowanie partycji.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/gparted
%attr(755,root,root) %{_sbindir}/gpartedbin
%{_desktopdir}/gparted.desktop
%{_mandir}/man8/gparted.8*
%{_iconsdir}/*/*/*/gparted.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gparted.spec,v $
Revision 1.40  2009/04/05 20:53:50  adamg
- updated to 0.4.4

Revision 1.39  2009/02/21 22:19:20  gotar
- S: mtools

Revision 1.38  2009/02/12 19:41:43  qwiat
- up to 0.4.3

Revision 1.37  2009/02/08 00:14:52  adamg
- updated to 0.4.2

Revision 1.36  2008/11/29 23:47:40  adamg
- updated to 0.4.0

Revision 1.35  2008/09/16 16:13:39  megabajt
- updated to 0.3.9

Revision 1.34  2008/07/17 13:33:38  megabajt
- updated to 0.3.8

Revision 1.33  2008-04-29 18:11:00  megabajt
- updated to 0.3.7
- more verbose files
- suggests optional utilities

Revision 1.32  2007-08-27 20:57:19  megabajt
- added %{__intltoolize}
- release 6

Revision 1.31  2007/08/27 18:00:06  wolf
- rel 5

Revision 1.30  2007/06/15 19:01:50  wolf
- rel 4

Revision 1.29  2007/04/17 21:50:05  megabajt
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl)
- release 3

Revision 1.28  2007/03/01 17:46:35  wolf
- rel 2

Revision 1.27  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.25  2006/12/08 17:31:00  wolf
- 0.3.3

Revision 1.24  2006/11/24 14:03:23  glen
- rel 3

Revision 1.23  2006/08/23 17:20:14  wolf
- rel 2

Revision 1.22  2006/05/15 22:27:11  charles
- BR: gettext-devel

Revision 1.21  2006/05/15 21:42:40  freetz
- 0.2.5

Revision 1.20  2006/04/14 15:19:12  freetz
- 0.2.4

Revision 1.19  2006/03/28 17:31:57  freetz
- 0.2.3

Revision 1.18  2006/03/04 17:54:48  freetz
- 0.2.2

Revision 1.17  2006/02/16 21:27:51  freetz
- 0.2.1

Revision 1.16  2006/02/01 21:01:44  dzeus
- up to 0.2

Revision 1.15  2006/01/12 22:39:11  freetz
- 0.1

Revision 1.14  2005/11/27 10:13:52  freetz
- rel.2

Revision 1.13  2005/11/25 22:51:02  freetz
- 0.0.9, icon added

Revision 1.12  2005/10/02 20:04:32  arekm
- rel .2

Revision 1.11  2005/06/27 15:52:17  freetz
- 0.0.9 pre2, %files updated

Revision 1.10  2005/06/01 20:08:07  zbyniu
- BR: intltool, libstdc++-devel

Revision 1.9  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.8  2004/12/28 01:52:57  havner
- buggy sf

Revision 1.7  2004/12/22 23:12:21  dzeus
- up to 0.0.8

Revision 1.6  2004/12/08 12:16:07  paladine
- updated to 0.0.7 STBR

Revision 1.5  2004/10/26 08:48:17  jareq
- added missing md5sum (my fault - sorry)

Revision 1.4  2004/10/26 08:46:02  jareq
- updated to 0.0.6

Revision 1.3  2004/10/01 09:06:41  paladine
- updated to 0.0.5
- added desktop patch
- now gparted is in /usr/sbin (maybe desktop file isn't a good idea?)

Revision 1.2  2004/09/06 12:55:13  grzegol
- updated to 0.0.4

Revision 1.1  2004/08/29 17:48:18  grzegol
- new
